List reasoning jobs
curl --request GET \
--url https://api.example.com/v1/reasoning_jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/reasoning_jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/reasoning_jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reasoning_jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": {},
"config": {
"dataframe": {
"plan": {},
"columns": [
{
"name": "<string>",
"datatype": {
"kind": "string"
}
}
],
"version": 1
},
"job_tags": {},
"task": {
"label_column": "<string>",
"task_kind": "regression"
},
"metrics": [
"<string>"
],
"hpo_space": {
"models": [
{
"family": "<string>",
"search": {},
"fixed": {}
}
]
},
"optimizer": {
"kind": "tpe",
"n_trials_per_step": 2,
"n_steps": 2
},
"random_state": 42
},
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"model_name": "<string>",
"model_names": [
"<string>"
],
"model_short_id": "<string>",
"model_short_ids": [
"<string>"
],
"pareto_values": [
[
123
]
],
"metric_names": [
"<string>"
],
"result_uri": "<string>",
"error_message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}reasoning
List reasoning jobs
GET
/
v1
/
reasoning_jobs
List reasoning jobs
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Query Parameters
Available options:
pending, running, completed, failed Required range:
1 <= x <= 500Response
Successful Response
Show child attributes
Show child attributes
⌘I